# Uses of Interface
org.eclipse.draw2d.RangeModel

Packages that use RangeModel
Package
Description
org.eclipse.draw2d
Primary package containing general interfaces and implementation classes.

## Uses of RangeModel in org.eclipse.draw2d

Classes in org.eclipse.draw2d that implement RangeModel
Modifier and Type
Class
Description
`class`
`DefaultRangeModel`
Generic implementation for a RangeModel.
Methods in org.eclipse.draw2d that return RangeModel
Modifier and Type
Method
Description
`RangeModel`
Viewport.`getHorizontalRangeModel()`
Returns the RangeModel associated with the horizontal motion of this Viewport
`RangeModel`
ScrollBar.`getRangeModel()`
Returns the range model for this scrollbar.
`RangeModel`
Viewport.`getVerticalRangeModel()`
Returns the range model associated with the vertical motion of the Viewport.
Methods in org.eclipse.draw2d with parameters of type RangeModel
Modifier and Type
Method
Description
`void`
Viewport.`setHorizontalRangeModel(RangeModel rangeModel)`
Sets the horizontal range model to the passed RangeModel.
`void`
ScrollBar.`setRangeModel(RangeModel rangeModel)`
Sets the ScrollBar's RangeModel to the passed value.
`void`
Viewport.`setVerticalRangeModel(RangeModel rangeModel)`
Sets the vertical range model to the passed RangeModel.